{% extends 'base/main.html' %}


{% block song %}
<iframe 
    style="border-radius:12px" 
    src={{song}}


    width="100%" height="75" frameBorder="0" allowfullscreen="" 
    allow="autoplay; clipboard-write; encrypted-media; fullscreen; picture-in-picture">
</iframe>

<div>
    <a href="{% url 'song-update'  song_id %}"><h3>NEW SONG</h3></a>
</div>

{% endblock song %}




{% block content %}


<div class="header-bar">
    <div>
        <h1>Hello {{request.user|title}}</h1>
        <h3 style="margin:0">You have <i>{{count}}</i> incomplete task{{count|pluralize:"s"}}</h3>
    </div>

    {% if request.user.is_authenticated %}
    <a href="{% url 'logout' %}">Logout</a>
    {% else %}
    <a href="{% url 'login' %}">Login</a>
    {% endif %}
</div>


<div id="search-add-wrapper">
    <form method="GET" style="margin-top: 20px;display: flex;">
        <input type="text" name="search-area" value="{{ search_input }}">
        <input class ="button" type="submit" value="Search">
    </form>
    <a id="add-link" href="{% url 'task-create' %}">&#x2b;</a>
</div>




<div class="task-items-wrapper">
    {% for task in tasks %}
        <div class="task-wrapper">
            {% if task.complete %}
                <div class="task-title">
                    <div class="task-complete-icon"></div>
                    <i><s><a href="{% url 'task-update' task.id %}">{{task}}</a></s></i>
                </div>
                <a class="delete-link" href="{% url 'task-delete' task.id %}">&#215;</a>
            {% else %}
                <div class="task-title">
                    <div class="task-incomplete-icon"></div>
                    <a href="{% url 'task-update' task.id %}">{{task}}</a>
                </div>
                <a class="delete-link" href="{% url 'task-delete' task.id %}">&#215;</a>
            {% endif %}

        </div>
    {% empty %}
    <h3>No items in list</h3>
    {% endfor %}
</div>
{% endblock content %}


{% block scripts %}
<script>
$(document).ready(function(){
    const ctx = document.getElementById('myChart').getContext('2d');
    const myChart = new Chart(ctx, {
        type: 'doughnut',
        data: {
            labels: ['completed', 'not completed'],
            datasets: [{
                label: '# of Votes',
                data: [{{ completed_task }}, {{ count }}],
                backgroundColor: [
                    'green',
                    'red'
                ],
                borderColor: [
                    'white',
                    'white'
                ],
                borderWidth: 1
            }]
        },
        options: {
            scales: {
                y: {
                    beginAtZero: true
                }
            }
        }
    });
});

</script>
{% endblock scripts %}



{% block Chart %}

<canvas id="myChart"></canvas>

{% endblock Chart %}



{% block weight_tracker %}
<div class="header-bar">
    <div>
        <h1>{{request.user|title}}, you have {% widthratio WeightTracker.goal_weight 1 -1 as result %}{{ WeightTracker.current_weight|add:result }} lbs to go!</h1>
    </div>
    
    <a href="{% url 'weight-update' WeightTracker.pk %}">Set Goal</a>
</div>
<div "task-items-wrapper">
    {% if not WeightTracker %}
        <h1> Would you like to set up a weight goal calculator? </h1>
        <a href="{% url 'weight-create'%}"><button>Yes</button></a>
    {% else %}
        <h1>Current weight: {{WeightTracker.current_weight}}</h1>
        <h1>Goal weight: {{WeightTracker.goal_weight}}</h1>
    {% endif %}
</div>
{% endblock weight_tracker %}




{% block movingcat %}
<a href="https://www.youtube.com/watch?v=QH2-TGUlwu4&ab_channel=NyanCat">
    <div class="parent-moving">
        
    </div>
</a>

{% endblock movingcat %}